package com.hexin.android.weituo.component

import android.content.Context
import android.util.AttributeSet
import android.view.View
import com.hexin.android.ui.ComponentContainer
import com.hexin.android.weituo.base.WeiTuoQueryComponentBaseDate
import com.hexin.middleware.MiddlewareProxy
import com.hexin.plat.android.R
/**
 *  Author:jbin2

 * Time:
 * Desc:page_weituo_drzijin_detail.xml
 *
 *
 * */
class DrZijinDetailQuery: WeiTuoQueryComponentBaseDate, ComponentContainer {
    constructor(context: Context?, attrs: AttributeSet?) : super(context, attrs)

    override fun onFinishInflate() {
        super.onFinishInflate()
        init()
    }
    private fun init() {
        FRAME_ID = 2611
        PAGE_ID = 20113
        wtTimeSetView.visibility= View.GONE
    }

    override fun middlewareRequest(startDate: String?, endDate: String?) {
        MiddlewareProxy.request(FRAME_ID, PAGE_ID, instanceId, getRequestDateInterval("", ""))
    }
    override fun getNoDataTipStr(): String {
        return resources.getString(R.string.no_zj_return)
    }
}